OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::SingleThreadedIIRFilter Class Reference

`#include <juce_IIRFilter.h>`

Inheritance diagram for juce::SingleThreadedIIRFilter:

## Public Member Functions
| IIRFilterBase () noexcept
| IIRFilterBase (const IIRFilterBase &) noexcept
Public Member Functions inherited from juce::IIRFilterBase< DummyCriticalSection >
| IIRFilterBase () noexcept
| IIRFilterBase (const IIRFilterBase &) noexcept
void | makeInactive () noexcept
void | setCoefficients (const IIRCoefficients &newCoefficients) noexcept
IIRCoefficients | getCoefficients () const noexcept
void | reset () noexcept
void | processSamples (float *samples, int numSamples) noexcept
float | processSingleSampleRaw (float sample) noexcept

## Additional Inherited Members
Protected Member Functions inherited from juce::IIRFilterBase< DummyCriticalSection >
IIRFilter & | operator= (const IIRFilter &)=delete
Protected Attributes inherited from juce::IIRFilterBase< DummyCriticalSection >
DummyCriticalSection | processLock
IIRCoefficients | coefficients
float | v1
float | v2
bool | active

## Detailed Description

An IIR filter that can perform low, high, or band-pass filtering on an audio signal, with no thread-safety guarantees.

You should use this class if you need an IIR filter, and don't plan to call its member functions from multiple threads at once.

See also
  IIRFilter, IIRCoefficient, IIRFilterAudioSource

Definition at line 248 of file juce_audio_basics/utilities/juce_IIRFilter.h.

## Member Function Documentation

## ◆ IIRFilterBase() [1/2]

juce::IIRFilterBase< Mutex >::IIRFilterBase | ( |  | ) |
| default noexcept

Creates a filter.

Initially the filter is inactive, so will have no effect on samples that you process with it. Use the setCoefficients() method to turn it into the type of filter needed.

## ◆ IIRFilterBase() [2/2]

juce::IIRFilterBase< Mutex >::IIRFilterBase | ( | const IIRFilterBase & | other | ) |
| noexcept

Creates a copy of another filter.

Definition at line 170 of file juce_audio_basics/utilities/juce_IIRFilter.cpp.

The documentation for this class was generated from the following file:

- juce_audio_basics/utilities/juce_IIRFilter.h